Rename a passkey
POST
/cms/customer/passkey/{passkey_id}
const url = 'https://api.example.com/cms/customer/passkey/1';const options = { method: 'POST', headers: { 'API-Key': '<API-Key>', Authorization: 'Bearer <token>', Token: '<Token>', 'Content-Type': 'application/json' }, body: '{"name":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.example.com/cms/customer/passkey/1 \ --header 'API-Key: <API-Key>' \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --header 'Token: <Token>' \ --data '{ "name": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”passkey_id
required
integer
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
name
required
Max 100 characters; empty clears it
string
Example generated
{ "name": "example"}Responses
Section titled “Responses”The renamed passkey
Media typeapplication/json
Passkey
A passkey registered on a customer account. Never includes key material.
object
id
Passkey ID
integer format: int64
name
Name the customer gave it (e.g. “iPhone”); null when not named
string
created
When it was added, MySQL datetime (Y-m-d H:i:s)
string
lastUsed
When it was last used to log in, MySQL datetime; null when never used
string
lastUsedCountry
Country code of the last login with it, when known
string
Example
{ "created": "2026-11-17 10:12:00", "lastUsedCountry": "NL"}Not logged in
No such passkey on this account